ZStream
Date: 2015-09-12

com.jcraft.jzlib

## Class ZStream

- java.lang.Object
- - com.jcraft.jzlib.ZStream

- Direct Known Subclasses:
    Deflater, Inflater

  Deprecated.
  Not for public use in the future.

      @Deprecated
      public class ZStream
      extends java.lang.Object

  ZStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `avail_in` Deprecated.
    `int` | `avail_out` Deprecated.
    `java.lang.String` | `msg` Deprecated.
    `byte[]` | `next_in` Deprecated.
    `int` | `next_in_index` Deprecated.
    `byte[]` | `next_out` Deprecated.
    `int` | `next_out_index` Deprecated.
    `long` | `total_in` Deprecated.
    `long` | `total_out` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZStream()` Deprecated.
    `ZStream(com.jcraft.jzlib.Checksum adler)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deflate(int flush)` Deprecated.
    `int` | `deflateEnd()` Deprecated.
    `int` | `deflateInit(int level)` Deprecated.
    `int` | `deflateInit(int level, boolean nowrap)` Deprecated.
    `int` | `deflateInit(int level, int bits)` Deprecated.
    `int` | `deflateInit(int level, int bits, boolean nowrap)` Deprecated.
    `int` | `deflateInit(int level, int bits, int memlevel)` Deprecated.
    `int` | `deflateInit(int level, int bits, int memlevel, JZlib.WrapperType wrapperType)` Deprecated.
    `int` | `deflateParams(int level, int strategy)` Deprecated.
    `int` | `deflateSetDictionary(byte[] dictionary, int dictLength)` Deprecated.
    `int` | `end()` Deprecated. Those methods are expected to be override by Inflater and Deflater.
    `boolean` | `finished()` Deprecated.
    `void` | `free()` Deprecated.
    `long` | `getAdler()` Deprecated.
    `int` | `getAvailIn()` Deprecated.
    `int` | `getAvailOut()` Deprecated.
    `java.lang.String` | `getMessage()` Deprecated.
    `byte[]` | `getNextIn()` Deprecated.
    `int` | `getNextInIndex()` Deprecated.
    `byte[]` | `getNextOut()` Deprecated.
    `int` | `getNextOutIndex()` Deprecated.
    `long` | `getTotalIn()` Deprecated.
    `long` | `getTotalOut()` Deprecated.
    `int` | `inflate(int f)` Deprecated.
    `int` | `inflateEnd()` Deprecated.
    `boolean` | `inflateFinished()` Deprecated.
    `int` | `inflateInit()` Deprecated.
    `int` | `inflateInit(boolean nowrap)` Deprecated.
    `int` | `inflateInit(int w)` Deprecated.
    `int` | `inflateInit(int w, boolean nowrap)` Deprecated.
    `int` | `inflateInit(int w, JZlib.WrapperType wrapperType)` Deprecated.
    `int` | `inflateInit(JZlib.WrapperType wrapperType)` Deprecated.
    `int` | `inflateSetDictionary(byte[] dictionary, int dictLength)` Deprecated.
    `int` | `inflateSync()` Deprecated.
    `int` | `inflateSyncPoint()` Deprecated.
    `void` | `setAvailIn(int avail_in)` Deprecated.
    `void` | `setAvailOut(int avail_out)` Deprecated.
    `void` | `setInput(byte[] buf)` Deprecated.
    `void` | `setInput(byte[] buf, boolean append)` Deprecated.
    `void` | `setInput(byte[] buf, int off, int len, boolean append)` Deprecated.
    `void` | `setNextIn(byte[] next_in)` Deprecated.
    `void` | `setNextInIndex(int next_in_index)` Deprecated.
    `void` | `setNextOut(byte[] next_out)` Deprecated.
    `void` | `setNextOutIndex(int next_out_index)` Deprecated.
    `void` | `setOutput(byte[] buf)` Deprecated.
    `void` | `setOutput(byte[] buf, int off, int len)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next_in

          public byte[] next_in

      Deprecated.

    - #### next_in_index

          public int next_in_index

      Deprecated.

    - #### avail_in

          public int avail_in

      Deprecated.

    - #### total_in

          public long total_in

      Deprecated.

    - #### next_out

          public byte[] next_out

      Deprecated.

    - #### next_out_index

          public int next_out_index

      Deprecated.

    - #### avail_out

          public int avail_out

      Deprecated.

    - #### total_out

          public long total_out

      Deprecated.

    - #### msg

          public java.lang.String msg

      Deprecated.

  - ### Constructor Detail

    - #### ZStream

          public ZStream()

      Deprecated.

    - #### ZStream

          public ZStream(com.jcraft.jzlib.Checksum adler)

      Deprecated.

  - ### Method Detail

    - #### inflateInit

          public int inflateInit()

      Deprecated.

    - #### inflateInit

          public int inflateInit(boolean nowrap)

      Deprecated.

    - #### inflateInit

          public int inflateInit(int w)

      Deprecated.

    - #### inflateInit

          public int inflateInit(JZlib.WrapperType wrapperType)

      Deprecated.

    - #### inflateInit

          public int inflateInit(int w,
                        JZlib.WrapperType wrapperType)

      Deprecated.

    - #### inflateInit

          public int inflateInit(int w,
                        boolean nowrap)

      Deprecated.

    - #### inflate

          public int inflate(int f)

      Deprecated.

    - #### inflateEnd

          public int inflateEnd()

      Deprecated.

    - #### inflateSync

          public int inflateSync()

      Deprecated.

    - #### inflateSyncPoint

          public int inflateSyncPoint()

      Deprecated.

    - #### inflateSetDictionary

          public int inflateSetDictionary(byte[] dictionary,
                                 int dictLength)

      Deprecated.

    - #### inflateFinished

          public boolean inflateFinished()

      Deprecated.

    - #### deflateInit

          public int deflateInit(int level)

      Deprecated.

    - #### deflateInit

          public int deflateInit(int level,
                        boolean nowrap)

      Deprecated.

    - #### deflateInit

          public int deflateInit(int level,
                        int bits)

      Deprecated.

    - #### deflateInit

          public int deflateInit(int level,
                        int bits,
                        int memlevel,
                        JZlib.WrapperType wrapperType)

      Deprecated.

    - #### deflateInit

          public int deflateInit(int level,
                        int bits,
                        int memlevel)

      Deprecated.

    - #### deflateInit

          public int deflateInit(int level,
                        int bits,
                        boolean nowrap)

      Deprecated.

    - #### deflate

          public int deflate(int flush)

      Deprecated.

    - #### deflateEnd

          public int deflateEnd()

      Deprecated.

    - #### deflateParams

          public int deflateParams(int level,
                          int strategy)

      Deprecated.

    - #### deflateSetDictionary

          public int deflateSetDictionary(byte[] dictionary,
                                 int dictLength)

      Deprecated.

    - #### getAdler

          public long getAdler()

      Deprecated.

    - #### free

          public void free()

      Deprecated.

    - #### setOutput

          public void setOutput(byte[] buf)

      Deprecated.

    - #### setOutput

          public void setOutput(byte[] buf,
                       int off,
                       int len)

      Deprecated.

    - #### setInput

          public void setInput(byte[] buf)

      Deprecated.

    - #### setInput

          public void setInput(byte[] buf,
                      boolean append)

      Deprecated.

    - #### setInput

          public void setInput(byte[] buf,
                      int off,
                      int len,
                      boolean append)

      Deprecated.

    - #### getNextIn

          public byte[] getNextIn()

      Deprecated.

    - #### setNextIn

          public void setNextIn(byte[] next_in)

      Deprecated.

    - #### getNextInIndex

          public int getNextInIndex()

      Deprecated.

    - #### setNextInIndex

          public void setNextInIndex(int next_in_index)

      Deprecated.

    - #### getAvailIn

          public int getAvailIn()

      Deprecated.

    - #### setAvailIn

          public void setAvailIn(int avail_in)

      Deprecated.

    - #### getNextOut

          public byte[] getNextOut()

      Deprecated.

    - #### setNextOut

          public void setNextOut(byte[] next_out)

      Deprecated.

    - #### getNextOutIndex

          public int getNextOutIndex()

      Deprecated.

    - #### setNextOutIndex

          public void setNextOutIndex(int next_out_index)

      Deprecated.

    - #### getAvailOut

          public int getAvailOut()

      Deprecated.

    - #### setAvailOut

          public void setAvailOut(int avail_out)

      Deprecated.

    - #### getTotalOut

          public long getTotalOut()

      Deprecated.

    - #### getTotalIn

          public long getTotalIn()

      Deprecated.

    - #### getMessage

          public java.lang.String getMessage()

      Deprecated.

    - #### end

          public int end()

      Deprecated.
      Those methods are expected to be override by Inflater and Deflater. In the future, they will become abstract methods.

    - #### finished

          public boolean finished()

      Deprecated.